İçeriğe geç

Ovi Text to Video

Entegre et

Model kimliği ovi
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ovi?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,20 200 API kredisi Bu sayfada çalıştır

API anahtarı al
Character.AI Metinden Videoya

Videoyu ses parçasıyla birlikte oluşturan metinden videoya modeli

Character.AI · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Video üretimine yön veren metin yönergeleri.

resolution varsayılan 992x512

W:H olarak ifade edilen çıktı video çözünürlüğü. 512x992, 992x512, 960x512, 512x960, 720x720 veya 448x1120 arasından seçim yapın.

Gelişmiş negative_prompt · audio_negative_prompt · num_inference_steps · seed · enable_safety_checker
varsayılan jitter, bad hands, bl...

Video üretilirken uygulanan negatif istem.

varsayılan robotic, muffled, ech...

Üretilen seste kaçınılacakları belirten negatif istem.

varsayılan 30

Çıkarım için kullanılan adım sayısı.

Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.

POST /run/ovi?wait=20 fiyat → $0,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ovi?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Ovi Text to Video hakkında

Metin `prompt`'undan sesli bir klip oluşturur. 992x512, 512x992, 720x720 ve 1120x448 dahil yedi `resolution` değeri arasından seçim yapılabilir. Video ve ses için ayrı negatif istemler (`negative_prompt`, `audio_negative_prompt`) bulunur. `num_inference_steps` 1 ile 50 arasında değişir (varsayılan 30) ve `seed` tekrarlanabilir sonuçlar sağlar.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Video üretimine yön veren metin yönergeleri.
negative_promptisteğe bağlı
Türstring
Varsayılanjitter, bad hands, blur, distortion
Video üretilirken uygulanan negatif istem.
num_inference_stepsisteğe bağlı
Türinteger
Varsayılan30
1 – 50
Çıkarım için kullanılan adım sayısı.
audio_negative_promptisteğe bağlı
Türstring
Varsayılanrobotic, muffled, echo, distorted
Üretilen seste kaçınılacakları belirten negatif istem.
seedisteğe bağlı
Türinteger | null
Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.
resolutionisteğe bağlı
Türenum
Varsayılan992x512
512x992992x512960x512512x960720x720448x11201120x448
W:H olarak ifade edilen çıktı video çözünürlüğü. 512x992, 992x512, 960x512, 512x960, 720x720 veya 448x1120 arasından seçim yapın.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ovi",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size} | nullÜretimle oluşturulan video dosyası.
seed
integerÜretim sırasında uygulanan seed değeri.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/ovi.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt